%global source_name jdupes
%global source_summary Duplicate file finder and an enhanced fork of 'fdupes'
%global source_version 1.20.2
%global source_release 2
%global source_license MIT
%global source_description %{expand:
jdupes is a program for identifying and taking actions upon duplicate
files.

A WORD OF WARNING: jdupes IS NOT a drop-in compatible replacement for
fdupes! Do not blindly replace fdupes with jdupes in scripts and
expect everything to work the same way. Option availability and
meanings differ between the two programs. For example, the -I switch
in jdupes means "isolate" and blocks intra-argument matching, while in
fdupes it means "immediately delete files during scanning without
prompting the user."
}
%global forge_url0 https://github.com/jbruchon/jdupes
%global forge_tag0 v1.20.2
%global forge_patchlist0 %{expand:
jdupes-1.20.0-Makefile.patch
}

%global source_tags %{expand:
BuildRequires:  gcc
BuildRequires:  make
}

%forgeauto_init
%forgeauto_pkg

%sourcelist
%forgeauto_sources

%patchlist
%forgeauto_patches

%prep
%forgeauto_prep


%build
%make_build CFLAGS="%{optflags}" PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%install
%make_install PREFIX="%{_prefix}" MAN_BASE_DIR="%{_mandir}"


%files
%license LICENSE
%doc CHANGES INSTALL README.md README.stupid_dupes
%{_bindir}/jdupes
%{_mandir}/man1/jdupes.1.gz


%changelog
* Thu Dec 30 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.20.2-2
- Convert to new forge macros

* Mon Dec 20 2021 David Cantrell <dcantrell@redhat.com> - 1.20.2-1
- Upgrade to jdupes-1.20.2

* Tue Aug 10 2021 David Cantrell <dcantrell@redhat.com> - 1.20.1-3
- Enable DEDUPE support at build time (#1988738)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 David Cantrell <dcantrell@redhat.com> - 1.20.0-1
- Initial package
